Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.expr.substitution
Class ParameterSubstitutor

    java.lang.Object
      com.servingxml.expr.substitution.SubstitutionExpr
          com.servingxml.expr.substitution.ParameterSubstitutor

    public class ParameterSubstitutor

extends SubstitutionExpr

The `ParameterSubstitutor` implements a class that does parameter substitution in strings.

Field Summary

Fields inherited from class com.servingxml.expr.substitution.SubstitutionExpr
`EMPTY, NULL`

Constructor Summary
`ParameterSubstitutor(Name parameterName)`

Method Summary
`java.lang.String` | `evaluateAsString(Record parameters, Record record)`
`java.lang.String[]` | `evaluateAsStringArray(Record parameters, Record record)`
`boolean` | `isLiteral()`
`boolean` | `isNull()`

Methods inherited from class com.servingxml.expr.substitution.SubstitutionExpr
`parseString, parseString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterSubstitutor

    public ParameterSubstitutor(Name parameterName)

Method Detail

### evaluateAsString

    public java.lang.String evaluateAsString(Record parameters,
                                             Record record)

  Specified by:
    `evaluateAsString` in class `SubstitutionExpr`

### evaluateAsStringArray

    public java.lang.String[] evaluateAsStringArray(Record parameters,
                                                    Record record)

  Specified by:
    `evaluateAsStringArray` in class `SubstitutionExpr`

### isLiteral

    public boolean isLiteral()

  Specified by:
    `isLiteral` in class `SubstitutionExpr`

### isNull

    public boolean isNull()

  Specified by:
    `isNull` in class `SubstitutionExpr`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD